/**
 * Copyright (c) 2018 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package io.renren.entity;

import java.util.Date;

/**
 * 一卡通服务端应答信息
 *
 * @author nichun
 */
public class SysPeople extends BaseEntity {
	private static final long serialVersionUID = 1L;


	/** 人员Id */
	private Long id;

	/** 人员名称 */
	private String name;

	/** 联系电话 */
	private String phone;

	/** 用户性别（0男 1女 2保密） */
	private String sex;

	/** 头像地址 */
	private String avatar;

	/** 所在部门 */
	private String branchId;

	/** 职位标签 */
	private String position;

	/** 身份证号码 */
	private String idcard;

	/** 车牌号码 */
	private String carNo;

	/** 门卡号码 */
	private String doorNo;

	/** 人员编号对接 */
	private String guid;

	/** 人像对接 */
	private String faceGuid;

	/** 关联用户 */
	private Long userId;

	/** 删除标志(0正常 1删除) */
	private Long delFlag;

	private SysBranch branch;

	/** 工号 */
	private String gh;

	/**指纹特征值**/
	private String fingerprint;

	/**入职时间**/
	private Date joinTime;

	private Long down;

	private String xfFlag;

	private Double czje;

	private Double btje;

	private String equipmentId;

	private String openid;

	private Integer pageNo;



	private String type;

	private String xfje;

	private String xfcs;

	private String loginPwd;

	private String isLock;

	private String isConsume;


	public String getOpenid() {
		return openid;
	}

	public void setOpenid(String openid) {
		this.openid = openid;
	}

	public String getEquipmentId() {
		return equipmentId;
	}

	public void setEquipmentId(String equipmentId) {
		this.equipmentId = equipmentId;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public String getBranchId() {
		return branchId;
	}

	public void setBranchId(String branchId) {
		this.branchId = branchId;
	}

	public String getIsConsume() {
		return isConsume;
	}

	public void setIsConsume(String isConsume) {
		this.isConsume = isConsume;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getIdcard() {
		return idcard;
	}

	public void setIdcard(String idcard) {
		this.idcard = idcard;
	}

	public String getCarNo() {
		return carNo;
	}

	public void setCarNo(String carNo) {
		this.carNo = carNo;
	}

	public String getDoorNo() {
		return doorNo;
	}

	public void setDoorNo(String doorNo) {
		this.doorNo = doorNo;
	}

	public String getGuid() {
		return guid;
	}

	public void setGuid(String guid) {
		this.guid = guid;
	}

	public String getFaceGuid() {
		return faceGuid;
	}

	public void setFaceGuid(String faceGuid) {
		this.faceGuid = faceGuid;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public Long getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Long delFlag) {
		this.delFlag = delFlag;
	}

	public SysBranch getBranch() {
		return branch;
	}

	public void setBranch(SysBranch branch) {
		this.branch = branch;
	}

	public String getGh() {
		return gh;
	}

	public void setGh(String gh) {
		this.gh = gh;
	}

	public String getFingerprint() {
		return fingerprint;
	}

	public void setFingerprint(String fingerprint) {
		this.fingerprint = fingerprint;
	}

	public Date getJoinTime() {
		return joinTime;
	}

	public void setJoinTime(Date joinTime) {
		this.joinTime = joinTime;
	}

	public Long getDown() {
		return down;
	}

	public void setDown(Long down) {
		this.down = down;
	}

	public String getXfFlag() {
		return xfFlag;
	}

	public void setXfFlag(String xfFlag) {
		this.xfFlag = xfFlag;
	}

	public Double getCzje() {
		return czje;
	}

	public void setCzje(Double czje) {
		this.czje = czje;
	}

	public Double getBtje() {
		return btje;
	}

	public void setBtje(Double btje) {
		this.btje = btje;
	}

	public Integer getPageNo() {
		return pageNo;
	}

	public void setPageNo(Integer pageNo) {
		this.pageNo = pageNo;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getXfje() {
		return xfje;
	}

	public void setXfje(String xfje) {
		this.xfje = xfje;
	}

	public String getXfcs() {
		return xfcs;
	}

	public void setXfcs(String xfcs) {
		this.xfcs = xfcs;
	}

	public String getLoginPwd() {
		return loginPwd;
	}

	public void setLoginPwd(String loginPwd) {
		this.loginPwd = loginPwd;
	}

	public String getIsLock() {
		return isLock;
	}

	public void setIsLock(String isLock) {
		this.isLock = isLock;
	}
}
